CFPRIME REMINT                                                          REMINT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE REMINT(K,KSWITC)                                       REMINT      3
CD                                                                      REMINT      4
CD    THIS SUBROUTINE INITIALIZES THE REMOTE TRIPPING OF ALL AUTOMATIC  REMINT      5
CD    SWITCHING RELAYS.                                                 REMINT      6
CD                                                                      REMINT      7
      INCLUDE 'PARX.INS'                                                REMINT      8
      INCLUDE 'CNPT.INS'                                                REMINT      9
      INCLUDE 'CNMNEW.INS'                                              REMINT     10
      INCLUDE 'CNNNEW.INS'                                              REMINT     11
      INCLUDE 'CNAUTO.INS'                                              REMINT     12
      INCLUDE 'CNLFDA.INS'                                              REMINT     13
      INCLUDE 'CNB19.INS'                                               REMINT     14
      INCLUDE 'CNB1.INS'                                                REMINT     15
      INCLUDE 'CNIPTR.INS'                                              REMINT     16
      INCLUDE 'CNFLAG.INS'                                              REMINT     17
      INCLUDE 'CNPARX.INS'                                              REMINT     18
      INCLUDE 'CNREN.INS'                                               REMINT     19
      INCLUDE 'CNUNIT.INS'                                              REMINT     20
      INCLUDE 'CNSTN.INS'                                               REMINT     21
      INCLUDE 'CNMSG.INS'                                               REMINT     22
C                                                                       REMINT     23
      INTEGER LISMON(NPL)                                               REMINT     24
      EQUIVALENCE (BUDAT(1),LISMON(1))                                  REMINT     25
      CHARACTER*2  CID,SCID                                             REMINT     26
      INTEGER*4 ICID,ISID,ITFK                                          REMINT     27
      CHARACTER*2  ICKT,CKK                                             REMINT     28
      CHARACTER*132 CARD                                                REMINT     29
      CHARACTER*22 TITLE                                                REMINT     30
      INCLUDE 'CNISOC.INS'                                              REMINT     31
      DATA TITLE/'REMOTE TRIPPING SCHEME'/                              REMINT     32
C                                                                       REMINT     33
      LDEB=(JDEB(16).NE.0)                                              REMINT     34
C                                                                       REMINT     35
      IF(LDEB)THEN                                                      REMINT     36
       DO 3100 I=1,40                                                   REMINT     37
 3100  WRITE(IUD6,1800)ADATA(I),IADATA(I)                               REMINT     38
      ENDIF                                                             REMINT     39
C                                                                       REMINT     40
      DO 200 JJ=1,KSWITC                                                REMINT     41
      ADATA(K+1)=ADATA(K+1)/60.                                         REMINT     42
      I=IADATA(K+3)                                                     REMINT     43
      ITYP=ISOC(I)                                                      REMINT     44
      IF(LDEB)WRITE(IUD6,3000)KSWITC,K,I,ITYP                           REMINT     45
C                                                                       REMINT     46
C            1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  REMINT     47
C          ALI ATR APL ABT RLI RTR RPL RBT ASL RSL DLI DTR DPL DLR DBT  REMINT     48
      GOTO(420,420,420,420,420,420,420,420,420,420,420,420,420,420,420  REMINT     49
C                                                                       REMINT     50
C                                F   F   F                              REMINT     51
C       16  17  18  19  20  21  22  23  24  25  26  27  28  29          REMINT     52
C      DSL MLI MTR MPL MSL RCG FCG  ZA  ZR  YK LGF LLF LGR LLR          REMINT     53
     &,420,420,420,420,420,420,420,230,230,230,550,550,550,550          REMINT     54
C                                                                       REMINT     55
C       30  31  32  33  34  35  36                                      REMINT     56
C      SLD RLD  TH  TO  DN AUD RUD                                      REMINT     57
     &,220,220,550,550,550,550,550                                      REMINT     58
C                                                                       REMINT     59
C        F   F   F   F   F   F   F   F   F   F   F                      REMINT     60
C       37  38  39  40  41  42  43  44  45  46  47  48                  REMINT     61
C       GR  GM GFD  PR  PM  VR  FV  OF  SR TEB DIM RIM                  REMINT     62
     &,260,260,260,260,260,260,260,260,260,260,410,410                  REMINT     63
C                                                                       REMINT     64
C       49  50  51  52  53                                              REMINT     65
C       DF  DR  DI  DP ESC                                              REMINT     66
     &,550,550,550,550,600),I                                           REMINT     67
C                                                                       REMINT     68
 220  CONTINUE                                                          REMINT     69
C                                                                       REMINT     70
C   LOAD CHANGE (LD & LS)                                               REMINT     71
C                                                                       REMINT     72
      NLFI=IADATA(K+4)                                                  REMINT     73
      IADATA(K+4)=NNEW(NLFI)                                            REMINT     74
      ISHUNT=IADATA(K+5)                                                REMINT     75
      PSHED=ADATA(K+6)                                                  REMINT     76
      QSHED=ADATA(K+7)                                                  REMINT     77
      K=K+7                                                             REMINT     78
      GO TO 200                                                         REMINT     79
C                                                                       REMINT     80
 230  CONTINUE                                                          REMINT     81
C                                                                       REMINT     82
C   FOR ZR,ZA,YK                                                        REMINT     83
C                                                                       REMINT     84
      NLFI=IADATA(K+4)                                                  REMINT     85
      IADATA(K+4)=NNEW(NLFI)                                            REMINT     86
      XREAL=ADATA(K+5)                                                  REMINT     87
      XIMAG=ADATA(K+6)                                                  REMINT     88
      K=K+6                                                             REMINT     89
      GOTO 200                                                          REMINT     90
 260  CONTINUE                                                          REMINT     91
C                                                                       REMINT     92
C   GENERATION SYSTEM CHANGE                                            REMINT     93
C                                                                       REMINT     94
      NLFI=IADATA(K+4)                                                  REMINT     95
      IADATA(K+4)=NNEW(NLFI)                                            REMINT     96
      ICID=IADATA(K+5)                                                  REMINT     97
      CALL UNPACK(CID,JJJ,ICID)                                         REMINT     98
C                                                                       REMINT     99
      IF(NLFI.GT.IPNODE)THEN                                            REMINT    100
C                                                                       REMINT    101
C    CLASSICAL MACHINE                                                  REMINT    102
C                                                                       REMINT    103
      IMACH=NT+NLFI-IPNODE                                              REMINT    104
      ELSE                                                              REMINT    105
C                                                                       REMINT    106
C    DETAILED MACHINE                                                   REMINT    107
C                                                                       REMINT    108
      IFIN=NTHG(NLFI+1)-1                                               REMINT    109
      IMACH=NTHG(NLFI)-1                                                REMINT    110
 270  IMACH=IMACH+1                                                     REMINT    111
      CID(1:2)=NDGC(IMACH)(3:4)                                         REMINT    112
      IF(ICKT.EQ.CID)GOTO 280                                           REMINT    113
      IF(IMACH.LT.IFIN)GOTO 270                                         REMINT    114
C                                                                       REMINT    115
C  WRITE ERROR MESSAGE NO SUCH GENERATOR ID                             REMINT    116
C                                                                       REMINT    117
      IEBK=1                                                            REMINT    118
      WRITE(MSG(1),2000)ITYP,NLFI,IMACH,ICKT                            REMINT    119
      CALL PRTMSG(1)                                                    REMINT    120
      GOTO 200                                                          REMINT    121
      ENDIF                                                             REMINT    122
C                                                                       REMINT    123
 280  CONTINUE                                                          REMINT    124
C                                                                       REMINT    125
      IADATA(K+6)=IMACH                                                 REMINT    126
      XREAL=ADATA(K+7)                                                  REMINT    127
      K=K+7                                                             REMINT    128
      GO TO 200                                                         REMINT    129
C                                                                       REMINT    130
 410  CONTINUE                                                          REMINT    131
C                                                                       REMINT    132
C   INDUCTION MOTOR SWITCHING                                           REMINT    133
C                                                                       REMINT    134
      NLFI=IADATA(K+4)                                                  REMINT    135
      IADATA(K+4)=NNEW(NLFI)                                            REMINT    136
      K=K+5                                                             REMINT    137
      GO TO 200                                                         REMINT    138
C                                                                       REMINT    139
 420  CONTINUE                                                          REMINT    140
C                                                                       REMINT    141
C   READ IN LINE DATA CHANGE CARD                                       REMINT    142
C                                                                       REMINT    143
      JTYP=I                                                            REMINT    144
      NLFI=IADATA(K+4)                                                  REMINT    145
      NPROGI=NNEW(NLFI)                                                 REMINT    146
      IADATA(K+4)=NPROGI                                                REMINT    147
      NLFJ=IADATA(K+5)                                                  REMINT    148
      NPROGJ=NNEW(NLFJ)                                                 REMINT    149
      IADATA(K+5)=NPROGJ                                                REMINT    150
      ICID=IADATA(K+6)                                                  REMINT    151
      CALL UNPACK(CID,JJJ,ICID)                                         REMINT    152
C                                                                       REMINT    153
      CALL LOLINE(NPROGI,NPROGJ,CID,JNL)                                REMINT    154
      IF(JNL.NE.0)THEN                                                  REMINT    155
      JNL5=IABS(JNL)                                                    REMINT    156
      ITFK=LISMON(JNL5)                                                 REMINT    157
      CALL UPACKI(JJJ,NMLINE,ITFK)                                      REMINT    158
      JNL5=JNL5*5                                                       REMINT    159
      ITFK=LFTB(JNL5-4)                                                 REMINT    160
      CALL UNPACK(CKK,NJSELI,ITFK)                                      REMINT    161
      CALL PACKII(NJSELI,NMLINE,ITFK)                                   REMINT    162
      IADATA(K+7)=ITFK                                                  REMINT    163
      ELSE                                                              REMINT    164
      IEBK=1                                                            REMINT    165
C                                                                       REMINT    166
      I3=3*NPROGI                                                       REMINT    167
      J3=3*NPROGJ                                                       REMINT    168
C                                                                       REMINT    169
      WRITE(MSG(1),3220)NLFI,INAME(I3-2),INAME(I3-1),INAME(I3),         REMINT    170
     1                  NLFJ,INAME(J3-2),INAME(J3-1),INAME(J3)          REMINT    171
      CALL PRTMSG(1)                                                    REMINT    172
C      GOTO 200                                                         REMINT    173
      ENDIF                                                             REMINT    174
C                                                                       REMINT    175
C            1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  REMINT    176
C          ALI ATR APL ABT RLI RTR RPL RBT ASL RSL DLI DTR DPL DBT DSL  REMINT    177
      GOTO(450,460,470,430,430,430,430,430,550,440,430,430,430,430,440  REMINT    178
C                                                                       REMINT    179
C       16  17  18  19  20  21                                          REMINT    180
C      MLI MTR MPL MSL RCG FCG                                          REMINT    181
     &,450,460,470,550,440,440),JTYP                                    REMINT    182
C                                                                       REMINT    183
 430  CONTINUE                                                          REMINT    184
      K=K+7                                                             REMINT    185
      GOTO 200                                                          REMINT    186
 440  CONTINUE                                                          REMINT    187
      ISID=IADATA(K+8)                                                  REMINT    188
      CALL UNPACK(SID,JJJ,ISID)                                         REMINT    189
      K=K+8                                                             REMINT    190
      GOTO 200                                                          REMINT    191
 450  CONTINUE                                                          REMINT    192
      XREAL=ADATA(K+8)                                                  REMINT    193
      XIMAG=ADATA(K+9)                                                  REMINT    194
      VMG=ADATA(K+10)                                                   REMINT    195
      K=K+10                                                            REMINT    196
      GOTO 200                                                          REMINT    197
 460  CONTINUE                                                          REMINT    198
      XREAL=ADATA(K+8)                                                  REMINT    199
      XIMAG=ADATA(K+9)                                                  REMINT    200
      VMG=ADATA(K+10)                                                   REMINT    201
      VPHS=ADATA(K+11)                                                  REMINT    202
      K=K+11                                                            REMINT    203
      GOTO 200                                                          REMINT    204
 470  CONTINUE                                                          REMINT    205
      ISCID=IADATA(K+8)                                                 REMINT    206
      CALL UNPACK(SCID,JJJ,ISCID)                                       REMINT    207
      XREAL=ADATA(K+9)                                                  REMINT    208
      XIMAG=ADATA(K+10)                                                 REMINT    209
      VMG=ADATA(K+11)                                                   REMINT    210
      VPHS=ADATA(K+12)                                                  REMINT    211
      VMG1=ADATA(K+13)                                                  REMINT    212
      VPHS1=ADATA(K+14)                                                 REMINT    213
      K=K+14                                                            REMINT    214
      CALL PRTMSG(2)                                                    REMINT    215
 550  CONTINUE                                                          REMINT    216
      IEBK=1                                                            REMINT    217
      WRITE(MSG(1),3020)ITYP                                            REMINT    218
      CALL PRTMSG(1)                                                    REMINT    219
      GOTO 200                                                          REMINT    220
 600  CONTINUE                                                          REMINT    221
C                                                                       REMINT    222
 200  CONTINUE                                                          REMINT    223
      RETURN                                                            REMINT    224
C                                                                       REMINT    225
C ------------------------------------------------------                REMINT    226
C                                                                       REMINT    227
C                                                                       REMINT    228
      ENTRY REMPRT(K,KSWITC,IUY,CARD,IIL)                               REMINT    229
CD                                                                      REMINT    230
CD     TO PRINT THE REMOTE TRIP SWITCHING DATA OF ALL AUTOMATIC         REMINT    231
CD     SWITCHING RELAYS.                                                REMINT    232
CD                                                                      REMINT    233
      DO 800 JJ=1,KSWITC                                                REMINT    234
      I=IADATA(K+3)                                                     REMINT    235
      ITYP=ISOC(I)                                                      REMINT    236
C                                                                       REMINT    237
C            1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  REMINT    238
C          ALI ATR APL ABT RLI RTR RPL RBT ASL RSL DLI DTR DPL DLR DBT  REMINT    239
      GOTO(745,745,745,745,745,745,745,745,745,745,745,745,745,745,745  REMINT    240
C                                                                       REMINT    241
C                                F   F   F                              REMINT    242
C       16  17  18  19  20  21  22  23  24  25  26  27  28  29          REMINT    243
C      DSL MLI MTR MPL MSL RCG FCG  ZA  ZR  YK LGF LLF LGR LLR          REMINT    244
     &,745,745,745,745,745,745,745,710,710,710,775,775,775,775          REMINT    245
C                                                                       REMINT    246
C       30  31  32  33  34  35  36                                      REMINT    247
C      SLD RLD  TH  TO  DN AUD RUD                                      REMINT    248
     &,700,700,775,775,775,775,775                                      REMINT    249
C                                                                       REMINT    250
C        F   F   F   F   F   F   F   F   F   F   F                      REMINT    251
C       37  38  39  40  41  42  43  44  45  46  47  48                  REMINT    252
C       GR  GM GFD  PR  PM  VR  FV  OF  SR TEB DIM RIM                  REMINT    253
     &,720,720,720,720,720,720,720,720,720,720,740,740                  REMINT    254
C                                                                       REMINT    255
C       49  50  51  52  53                                              REMINT    256
C       DF  DR  DI  DP ESC                                              REMINT    257
     &,775,775,775,775,800),I                                           REMINT    258
C                                                                       REMINT    259
 700  CONTINUE                                                          REMINT    260
C                                                                       REMINT    261
C   LOAD CHANGE (LD & LS)                                               REMINT    262
C                                                                       REMINT    263
      NLFI=IADATA(K+4)                                                  REMINT    264
      NLF=NOLD(NLFI)                                                    REMINT    265
      ISHUNT=IADATA(K+5)                                                REMINT    266
      PSHED=ADATA(K+6)                                                  REMINT    267
      QSHED=ADATA(K+7)                                                  REMINT    268
      TD=ADATA(K+1)*60.                                                 REMINT    269
      I3=3*NLFI                                                         REMINT    270
C                                                                       REMINT    271
      K=K+7                                                             REMINT    272
      WRITE(CARD(53:132),1000) ITYP,NLF,INAME(I3-2),INAME(I3-1)         REMINT    273
     *,INAME(I3),TD,ISHUNT,PSHED,QSHED                                  REMINT    274
      GOTO 780                                                          REMINT    275
C                                                                       REMINT    276
 710  CONTINUE                                                          REMINT    277
C                                                                       REMINT    278
C   FOR ZR,ZA,YK                                                        REMINT    279
C                                                                       REMINT    280
      NLFI=IADATA(K+4)                                                  REMINT    281
      NLF=NOLD(NLFI)                                                    REMINT    282
      TD=ADATA(K+1)*60.                                                 REMINT    283
      XREAL=ADATA(K+5)                                                  REMINT    284
      XIMAG=ADATA(K+6)                                                  REMINT    285
      K=K+6                                                             REMINT    286
      I3=NLFI*3                                                         REMINT    287
      WRITE(CARD(53:132),1100) ITYP,NLF,INAME(I3-2),INAME(I3-1)         REMINT    288
     *               ,INAME(I3),TD,XREAL,XIMAG                          REMINT    289
      GOTO 780                                                          REMINT    290
 720  CONTINUE                                                          REMINT    291
C                                                                       REMINT    292
C   GENERATION SYSTEM CHANGE                                            REMINT    293
C                                                                       REMINT    294
      NLFI=IADATA(K+4)                                                  REMINT    295
      NLF=NOLD(NLFI)                                                    REMINT    296
      ICID=IADATA(K+5)                                                  REMINT    297
      CALL UNPACK(ICKT,JJJ,ICID)                                        REMINT    298
      TD=ADATA(K+1)*60.                                                 REMINT    299
C                                                                       REMINT    300
C                                                                       REMINT    301
      IF(NLFI.GT.IPNODE)THEN                                            REMINT    302
C                                                                       REMINT    303
C    CLASSICAL MACHINE                                                  REMINT    304
C                                                                       REMINT    305
      IMACH=NT+NLFI-IPNODE                                              REMINT    306
      ELSE                                                              REMINT    307
C                                                                       REMINT    308
C    DETAILED MACHINE                                                   REMINT    309
C                                                                       REMINT    310
      IFIN=NTHG(NLFI+1)-1                                               REMINT    311
      IMACH=NTHG(NLFI)-1                                                REMINT    312
 730  IMACH=IMACH+1                                                     REMINT    313
      CID(1:2)=NDGC(IMACH)(3:4)                                         REMINT    314
      IF(ICKT.EQ.CID)GOTO 735                                           REMINT    315
      IF(IMACH.LT.IFIN)GOTO 730                                         REMINT    316
C                                                                       REMINT    317
C  WRITE ERROR MESSAGE NO SUCH GENERATOR ID                             REMINT    318
C                                                                       REMINT    319
      IEBK=1                                                            REMINT    320
      WRITE(MSG(1),2000)ITYP,NLFI,IMACH,ICKT                            REMINT    321
      CALL PRTMSG(1)                                                    REMINT    322
      GOTO 800                                                          REMINT    323
      ENDIF                                                             REMINT    324
C                                                                       REMINT    325
 735  CONTINUE                                                          REMINT    326
C                                                                       REMINT    327
      IADATA(K+6)=IMACH                                                 REMINT    328
      XREAL=ADATA(K+7)                                                  REMINT    329
      K=K+7                                                             REMINT    330
      I3=NLFI*3                                                         REMINT    331
      WRITE(CARD(26:132),1200) ITYP,NLF,INAME(I3-2),INAME(I3-1)         REMINT    332
     *               ,INAME(I3),ICKT,TD,XREAL                           REMINT    333
      GOTO 780                                                          REMINT    334
C                                                                       REMINT    335
 740  CONTINUE                                                          REMINT    336
C                                                                       REMINT    337
C   INDUCTION MOTOR SWITCHING                                           REMINT    338
C                                                                       REMINT    339
      NLFI=IADATA(K+4)                                                  REMINT    340
      TD=ADATA(K+1)*60.                                                 REMINT    341
      NLF=NOLD(NLFI)                                                    REMINT    342
      K=K+5                                                             REMINT    343
      J3=NLFI*3                                                         REMINT    344
      WRITE(CARD(53:132),1100) ITYP,NLF,INAME(J3-2),INAME(J3-1)         REMINT    345
     *                        ,INAME(J3),TD                             REMINT    346
      GOTO 780                                                          REMINT    347
C                                                                       REMINT    348
 745  CONTINUE                                                          REMINT    349
C                                                                       REMINT    350
C   READ IN LINE DATA CHANGE CARD                                       REMINT    351
C                                                                       REMINT    352
      JTYP=I                                                            REMINT    353
      TD=ADATA(K+1)*60.                                                 REMINT    354
      NPROGI=IADATA(K+4)                                                REMINT    355
      NPROGJ=IADATA(K+5)                                                REMINT    356
      I3=NPROGI*3                                                       REMINT    357
      J3=NPROGJ*3                                                       REMINT    358
      NLFI=NOLD(NPROGI)                                                 REMINT    359
      NLFJ=NOLD(NPROGJ)                                                 REMINT    360
      ICID=IADATA(K+6)                                                  REMINT    361
      CALL UNPACK(ICKT,JJJ,ICID)                                        REMINT    362
C                                                                       REMINT    363
C                                                                       REMINT    364
C            1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  REMINT    365
C          ALI ATR APL ABT RLI RTR RPL RBT ASL RSL DLI DTR DPL DBT DSL  REMINT    366
      GOTO(750,765,770,755,755,755,755,755,775,760,755,755,755,755,760  REMINT    367
C                                                                       REMINT    368
C       16  17  18  19  20  21                                          REMINT    369
C      MLI MTR MPL MSL RCG FCG                                          REMINT    370
     &,750,765,770,775,760,760),JTYP                                    REMINT    371
C                                                                       REMINT    372
 755  CONTINUE                                                          REMINT    373
      WRITE(CARD(53:132),1300) ITYP,NLFI,INAME(I3-2),INAME(I3-1)        REMINT    374
     &       ,INAME(I3),NLFJ,INAME(J3-2),INAME(J3-1),INAME(J3),ICKT,TD  REMINT    375
      K=K+7                                                             REMINT    376
      GOTO 780                                                          REMINT    377
 760  CONTINUE                                                          REMINT    378
      ISID=IADATA(K+8)                                                  REMINT    379
      WRITE(CARD(53:132),1400) ITYP,NLFI,INAME(I3-2),INAME(I3-1)        REMINT    380
     &,INAME(I3),NLFJ,INAME(J3-2),INAME(J3-1),INAME(J3),ICKT,SCID,TD    REMINT    381
      K=K+8                                                             REMINT    382
      GOTO 780                                                          REMINT    383
 750  CONTINUE                                                          REMINT    384
      XREAL=ADATA(K+8)                                                  REMINT    385
      XIMAG=ADATA(K+9)                                                  REMINT    386
      VMG=ADATA(K+10)                                                   REMINT    387
      WRITE(CARD(53:132),1500) ITYP,NLFI,INAME(I3-2),INAME(I3-1)        REMINT    388
     &,INAME(I3),NLFJ,INAME(J3-2),INAME(J3-1),INAME(J3),ICKT,SCID       REMINT    389
     *,TD,XREAL,XIMAG,VMG                                               REMINT    390
      K=K+10                                                            REMINT    391
      GOTO 780                                                          REMINT    392
 765  CONTINUE                                                          REMINT    393
      XREAL=ADATA(K+8)                                                  REMINT    394
      XIMAG=ADATA(K+9)                                                  REMINT    395
      VMG=ADATA(K+10)                                                   REMINT    396
      VPHS=ADATA(K+11)                                                  REMINT    397
      K=K+11                                                            REMINT    398
      WRITE(CARD(53:132),1510) ITYP,NLFI,INAME(I3-2),INAME(I3-1)        REMINT    399
     &,INAME(I3),NLFJ,INAME(J3-2),INAME(J3-1),INAME(J3),ICKT,SCID       REMINT    400
     *,TD,XREAL,XIMAG,VMG,VPHS                                          REMINT    401
      GOTO 780                                                          REMINT    402
 770  CONTINUE                                                          REMINT    403
      ISCID=IADATA(K+8)                                                 REMINT    404
      CALL UNPACK(SCID,JJJ,ISCID)                                       REMINT    405
      XREAL=ADATA(K+9)                                                  REMINT    406
      XIMAG=ADATA(K+10)                                                 REMINT    407
      VMG=ADATA(K+11)                                                   REMINT    408
      VPHS=ADATA(K+12)                                                  REMINT    409
      VMG1=ADATA(K+13)                                                  REMINT    410
      VPHS1=ADATA(K+14)                                                 REMINT    411
      K=K+14                                                            REMINT    412
      WRITE(CARD(53:132),1520) ITYP,NLFI,INAME(I3-2),INAME(I3-1)        REMINT    413
     &,INAME(I3),NLFJ,INAME(J3-2),INAME(J3-1),INAME(J3),ICKT,SCID       REMINT    414
     *,TD,XREAL,XIMAG,VMG,VPHS,VMG1,VPHS1                               REMINT    415
 775  CONTINUE                                                          REMINT    416
      IEBK=1                                                            REMINT    417
      WRITE(MSG(1),3020)ITYP                                            REMINT    418
      CALL PRTMSG(1)                                                    REMINT    419
C                                                                       REMINT    420
 780  CONTINUE                                                          REMINT    421
      IF(IIL.GE.60)THEN                                                 REMINT    422
         WRITE(IUY,5300)                                                REMINT    423
         IIL=5                                                          REMINT    424
      ENDIF                                                             REMINT    425
      WRITE(IUY,'(A)') CARD                                             REMINT    426
      CARD(1:52)='                          '                           REMINT    427
 800  CONTINUE                                                          REMINT    428
      RETURN                                                            REMINT    429
C                                                                       REMINT    430
 1000 FORMAT(2X,A3,I6,1X,3A4,27X,F7.2,I6,2F8.2)                         REMINT    431
 1100 FORMAT(2X,A3,I6,1X,3A4,27X,F7.2,6X,2F8.2)                         REMINT    432
 1200 FORMAT(2X,A3,I6,1X,3A4,21X,A2,4X,F7.2,22X,F8.2)                   REMINT    433
 1300 FORMAT(2X,A3,2(I6,1X,3A4),2X,A2,4X,F7.2)                          REMINT    434
 1400 FORMAT(2X,A3,2(I6,1X,3A4),2(2X,A2),F7.2)                          REMINT    435
 1500 FORMAT(2X,A3,2(I6,1X,3A4),2(2X,A2),F7.2,6X,3F8.2)                 REMINT    436
 1510 FORMAT(2X,A3,2(I6,1X,3A4),2(2X,A2),F7.2,6X,2F8.2,16X,2F8.2)       REMINT    437
 1520 FORMAT(2X,A3,2(I6,1X,3A4),2(2X,A2),F7.2,6X,6F8.2)                 REMINT    438
 1800 FORMAT(' REMINT: ADATA,IADATA ', F10.5,I10)                       REMINT    439
 2000 FORMAT(' *** ERROR NO SUCH GENERATOR ',A3,' BUS # = ',I5,         REMINT    440
     &       ' CID = ',A2)                                              REMINT    441
 3000 FORMAT(' *** REMINT ****',4I6,2X,A3)                              REMINT    442
 3020 FORMAT(1X,'*** ERROR CROSSING TRIPPING OF THIS TYPE',A4,' IS NOT',REMINT    443
     &' ALLOWED ')                                                      REMINT    444
 3220 FORMAT(' *** ERROR LINE BUS#',I6,1X,3A4,3X,I6,1X,3A4,             REMINT    445
     1' CANNOT BE FOUND ')                                              REMINT    446
 5300 FORMAT('1 CONTROL RELAY',38X,'REMOTE RELAY',/                     REMINT    447
     *,2X,50('-'),1X,34('-'),/                                          REMINT    448
     *,'  TYPE FRBUS BUS NAME     TOBUS BUS NAME     CID SID'           REMINT    449
     *,' TYPE FRBUS BUS NAME     TOBUS BUS NAME     CID SID'            REMINT    450
     *,' TDELAY ISHNT   P%/XR   Q%/XI',/                                REMINT    451
     *,'  ---- ----- ------------ ----- ------------ --- ---'           REMINT    452
     *,' ---- ----- ------------ ----- ------------ --- ---'            REMINT    453
     *,' ------ -----',2(' -------'))                                   REMINT    454
C                                                                       REMINT    455
       END                                                              REMINT    456
